Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout
Class LayoutEvent

    java.lang.Object
      java.util.EventObject
          org.jasig.portal.layout.LayoutEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LayoutMoveEvent

    public class LayoutEvent

extends java.util.EventObject

A basic user layout event, involving just one node.

Version:
  1.0
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`protected IUserLayoutNodeDescription` | `node`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LayoutEvent(java.lang.Object source, IUserLayoutNodeDescription node)` Construct a `LayoutEvent` from a given source, and a given node.

Method Summary
`IUserLayoutNodeDescription` | `getNodeDescription()` Obtain a description of a node involved in the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected IUserLayoutNodeDescription node

Constructor Detail

### LayoutEvent

    public LayoutEvent(java.lang.Object source,
                       IUserLayoutNodeDescription node)

  Construct a `LayoutEvent` from a given source, and a given node.

  Parameters:
    `source` - an `Object` that generated the event
    `node` - an `UserLayoutNodeDescription` of the node that was involved

Method Detail

### getNodeDescription

    public IUserLayoutNodeDescription getNodeDescription()

  Obtain a description of a node involved in the event.

  Returns:
    an `UserLayoutNodeDescription` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD